Package com.plannaplan.services

# Class ConfiguratorService

java.lang.Object
com.plannaplan.services.ConfiguratorService

    @Component
    public class ConfiguratorService
    extends java.lang.Object

FileReader is used for reading xls file from input stream.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ConfiguratorService()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `config​(ConfigData data)` | methoid to config system.
`AppConfig` | `getCurrentConfig()` | current config getter
`void` | `importCoursesStream​(java.io.InputStream inputStream)` |
`void` | `saveTours​(TourData firstTour, TourData secondTour)` | Save tours to DataBase and shedule PerformAcceptAlgorythmTask as a side effect

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfiguratorService

public ConfiguratorService()

## Method Details

### config

public void config​(ConfigData data)
methoid to config system. it shedules PerformAcceptAlgorythmTask as a side effect

Parameters:
  `data` - ConfigData containng system configs

### saveTours

public void saveTours​(TourData firstTour, TourData secondTour)
Save tours to DataBase and shedule PerformAcceptAlgorythmTask as a side effect

Parameters:
  `firstTour` - First tour period.
  `secondTour` - Second tour period.

### getCurrentConfig

public AppConfig getCurrentConfig()
current config getter

Returns:
  AppConfig with newest config_date

### importCoursesStream

public void importCoursesStream​(java.io.InputStream inputStream)

Parameters:
  `inputStream` - This input stream contains new courses to import.